#!/bin/sh

YES=0
NO=1

isDSM7OrAbove()
{
	local dsm_mayor_version="$(get_key_value /etc.defaults/VERSION majorversion)"

	if [ "${dsm_mayor_version}" -gt 6 ]; then
		return ${YES}
	else
		return ${NO}
	fi
}

isDSM7PackageEnabled()
{
	local package="${1:-MailServer}"
	local package_systemd_service="pkgctl-${package}"
	local systemd_status="$(systemctl is-active "${package_systemd_service}")"

	if [ "${systemd_status}" == "activating" ] || [ "${systemd_status}" == "active" ]; then
		return ${YES}
	else
		return ${NO}
	fi
}

isDSM6PackageEnabled()
{
	local package="${1:-MailServer}"
	local package_enabled_flag="/var/packages/${package}/enabled"

	if [ -f "${package_enabled_flag}" ]; then
		return ${YES}
	else
		return ${NO}
	fi
}

# "Enabled" including "starting" and "started"
isPackageEnabled()
{
	if isDSM7OrAbove; then
		isDSM7PackageEnabled "$@"
	else
		isDSM6PackageEnabled "$@"
	fi
}
