#!/bin/sh

###############################################################
#	Usable environment variable:
#		GROUP_NAME_N, GROUP_OP_RESULT_N, NITEMS and RESULT
#
#	Note: The script should bear to be invoked multiple times
###############################################################

. /var/packages/MailServer/target/scripts/MailServerCommon
ALIAS_HOOK="/var/packages/MailServer/target/hook/AliasGroupUpdate.sh"

case $1 in
	--sdk-mod-ver)
		#Print SDK support version
		version=`${ALIAS_HOOK} --sdk-mod-ver`
		echo "${version}";
		;;
	--name)
		#Print package name
		name=`${ALIAS_HOOK} --name`
		echo "${name}";
		;;
	--pkg-ver)
		#Print package version
		pkg_ver=`${ALIAS_HOOK} --pkg-ver`
		echo "${pkg_ver}";
		;;
	--vendor)
		#Print package vendor
		vendor=`${ALIAS_HOOK} --vendor`
		echo "${vendor}";
		;;
	--pre)
		if ! checkAccountType; then #exit if account does not match
			exit 0
		fi
		${ALIAS_HOOK} --pre &
		;;
	--post)
		if ! checkAccountType; then #exit if account does not match
			exit 0
		fi
		group_idx=1;
		group_cnt=$((NITEMS + 1));
		while [ "${group_idx}" != "${group_cnt}" ]
		do
			eval "ORIGIN_GROUP_NAME=\$ORIGIN_GROUP_NAME_${group_idx}"
			eval "GROUP_NAME=\$GROUP_NAME_${group_idx}"
			${ALIAS_HOOK} --post "${ORIGIN_GROUP_NAME}" "${GROUP_NAME}" &
			group_idx=$((group_idx + 1));
		done
		;;
	*)
		echo "Usage: $0 --sdk-mod-ver|--name|--pkg-ver|--vendor|--pre|--post"
		;;
esac
