#!/bin/sh

. /var/packages/MailServer/target/scripts/DSMPackageUtil.sh

PID_FILE=/tmp/mailserver_memcached.pid

start()
{
	local MEMCACHED=/var/packages/MailServer/target/usr/bin/memcached
	if ! isPackageEnabled; then
		echo "Package is not enabled."
		return 
	fi

	${MEMCACHED} -u root -l 127.0.0.1 -d -P ${PID_FILE}
}

stop()
{
	if [ -f ${PID_FILE} ]; then
		local PID=`cat ${PID_FILE}`
		if [ ! -z "${PID}" ] && [ -f "/proc/${PID}/cmdline" ] && [ `grep -c "MailServer" "/proc/${PID}/cmdline"` -eq 0  ] ; then
			#not to stop memcahced for mailplus server
			return
		fi
		kill "${PID}"
	fi
}

restart()
{
	stop

	sleep 1

	start
}

case "$1" in
	start)
		start
		;;
	restart)
		restart
		;;
	stop)
		stop
		;;
esac
